Skip to main content
To use these endpoints on testnet4 or signet, send your request to https://testnet.api.bestinslot.xyz or https://signet_api.bestinslot.xyz respectively, using your existing API key.

Get bitmap holders

Available on: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/bitmap/holders
Returns an array of holder information. Each entry contains a wallet address and the bitmap inscription IDs held by that wallet.

Parameters

sort_by
string
Optional. Sort field: wallet_addr.
order
string
Optional. Sort direction: asc or desc.
offset
integer
Optional. Pagination offset. Must be >= 0.
count
integer
Optional. Number of results to return. Must be between 20 and 100 inclusive.

Response

{
    "data": [
        {
            "wallet": "12ufzRLA89ZyLPTe6HCUnVGRtdNfr8tYXp",
            "inscription_ids": [
                "5e7989591908aa5e1874545518b4b2d9ccfbde83f40a94340cc5fbd5d923b981i0",
                "b5eced1df647a5a55c2753d44dfb8976a5a7c6c0035f68c76c6a96bb60e14700i0",
                "689616aeeb568d3e93fae34563b2134b81fa46ebc58b32b45b26332b945f8569i0",
                "c7117a8e524b657b3f37b9d42d7fce5d62a920307e569448131cd3ab9cb2cb43i0",
                "d9875cf906b853a3204270bbc8f53a8054716ba3ffdc2da4d2a87e77631c473di0"
            ]
        }
    ],
    "block_height": 795035
}

Get bitmap inscriptions

Available on: Basic, Pro, Dedicated
GET https://api.bestinslot.xyz/v3/bitmap/inscriptions
Returns a paginated, ordered list of bitmap inscriptions.
last_sale_price is only available on the Pro tier.

Parameters

sort_by
string
required
Sort field: inscr_num.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be >= 0.
count
integer
required
Number of results to return. Must be between 20 and 100 inclusive.

Response

{
    "data": [
        {
            "bitmap_number": 0,
            "inscription_id": "86539aff946c437af8088955827b7e6ff48fc6192836d4071b697b5359b7a732i0",
            "inscription_number": 10423123,
            "owner_wallet_addr": "bc1p7hf8x2q2zal4v64c2h34qheyz4zk8zgnv767ygkkrd5dhg9zackq4rmvhd",
            "last_transfer_block_height": 792435,
            "genesis_height": 792435,
            "last_sale_price": null,
            "content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/86539aff946c437af8088955827b7e6ff48fc6192836d4071b697b5359b7a732i0",
            "bis_url": "https://bestinslot.xyz/ordinals/inscription/86539aff946c437af8088955827b7e6ff48fc6192836d4071b697b5359b7a732i0"
        }
    ],
    "block_height": 799055
}

Get bitmap sales information

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/bitmap/sales_info
Returns sales and volume information for bitmaps.

Parameters

marketplace_type
string
Optional. Filter results by a specific marketplace. See the Constants page for allowed values.

Response

{
    "data": {
        "vol_3h": "5582294",
        "vol_6h": "21472011",
        "vol_9h": "34006304",
        "vol_12h": "36548463",
        "vol_1d": "51050633",
        "vol_3d": "91950108",
        "vol_7d": "165391876",
        "vol_30d": "755204897",
        "vol_total": "9207676876",
        "sale_count": 137473,
        "marketplace": "all"
    },
    "block_height": 814057
}

Get bitmap market information

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/bitmap/market_info
Returns market data for bitmaps, including floor price, listed count, and marketcap. This endpoint takes no query parameters.

Response

{
    "data": {
        "listed_count": 31279,
        "floor_price": 73344,
        "floor_price_ordswap": null,
        "floor_price_magiceden": 79560,
        "floor_price_ordinalswallet": 73344,
        "floor_price_gammaio": null,
        "floor_price_ordynals": null,
        "floor_price_unisat": 75375,
        "floor_price_ordinalsmarket": 15000000,
        "floor_price_okx": 76000,
        "supply": 849818,
        "marketcap": 62329051392
    },
    "block_height": 849817
}

Get bitmap listings

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/bitmap/listings
Returns an ordered list of active bitmap listings.

Parameters

sort_by
string
required
Sort field: min_price, ordswap_price, magiceden_price, ordinalswallet_price, gammaio_price, odynals_price, unisat_price, ordinalsmarket_price, okx_price.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be between 0 and 5000 inclusive.
count
integer
required
Number of results to return. Must be between 20 and 100 inclusive.

Response

{
    "data": [
        {
            "inscription_id": "013dcd2c02ff459aa240a9e3a09d6e0203c9332a3ad691be7297bcb62d635cb4i0",
            "min_price": 30000,
            "ordswap_price": null,
            "magiceden_price": null,
            "ordinalswallet_price": 30000,
            "gammaio_price": null,
            "nostr_price": null,
            "odynals_price": null,
            "unisat_price": null,
            "ordinalsmarket_price": null,
            "okx_price": null,
            "owner_wallet_addr": "bc1p28m2g5rvyjjc2a625thtsv7snv4gpqv9ens5vz5kftx2smhzjn5qawq0fy"
        }
    ],
    "block_height": 803265
}

Get bitmap activity

Available on: Pro, Dedicated
GET https://api.bestinslot.xyz/v3/bitmap/activity
Returns an ordered stream of events (inscribes, transfers, and sales) for bitmaps.
Use last_new_satpoint to resume an activity stream from where you left off. Because new_satpoint uniquely identifies a single inscription transfer, you can set order to asc and pass the most recent new_satpoint value you have received as last_new_satpoint (with offset set to 0) to retrieve only new activity.

Parameters

activity_filter
integer
required
Bitmask controlling which event types are returned. Combine values with a bitwise OR:
  • 1 — inscribed
  • 2 — transferred
  • 4 — sold
Example: 6 returns transfers and sales (2 | 4). 7 returns all event types.
sort_by
string
required
Sort field: ts.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be between 0 and 5000 inclusive.
count
integer
required
Number of results to return. Must be between 20 and 100 inclusive.
last_new_satpoint
string
Optional. Use with offset=0 to continue streaming from a known transfer. Pass the new_satpoint value of the last event you received.

Response

{
    "data": [
        {
            "inscription_id": "10490d6e63cdced2810011dcbb0952e26ca7a7bc609167487b76f567306dbfd5i0",
            "from_wallet": "bc1pn4zg6zwk256tlhgkxlj2jn6khnrtuynafw9cz6lrp6wvgmywkmusn6m8xd",
            "to_wallet": "bc1p4kdgatpw9sdawnjzt206yyu33uhxnfpnv476td8m0tt8rznnvxkqk49rvh",
            "block_height": 814057,
            "sale_price": 21242,
            "new_satpoint": "31226b1ea0acc7a46ff7b1a86745e88dab759deaf50836b62d044d5f17801bad:1:0",
            "ts": "2023-10-27T11:47:28.000Z",
            "marketplace_type": "magiceden",
            "tx_id": "31226b1ea0acc7a46ff7b1a86745e88dab759deaf50836b62d044d5f17801bad"
        }
    ],
    "block_height": 795035
}